.flexcontainer {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.singlecard {
  display: flex;
  width: 40px;
  height: 60px;
  border: solid 2px black;
  border-radius: 5px;
  padding: 5px;
  margin: 5px;
  border-width: 1px;
}

.♠, .♣, .spades, .clubs {
  color: black;
  border-color: black;
}

.♢, .♡, .hearts, .diamonds {
  color: red;
  border-color: red;
}

.buttons {
  padding: 10px;
  display: flex;
  justify-content: center;
}

button {
  color: white;
  width: 100px;
  height: 30px;
  border-radius: 20px;
  border: 0;
  font-family: sans-serif;
  font-size: 1em;
  font-weight: bold;
  margin: 5px;
}

button:hover {
  border: solid 2px black;
  color: black;
}

#sort-button {
  background-color: #3aa137;
}

#shuffle-button {
  background-color: #3489eb
}

#button-hearts, #button-diamonds {
  background-color: red;
}

#button-spades, #button-clubs {
  background-color: #6e6e6e;
}

#button-show-all {
  background-color: orange;
}
